# 客户接口/客户谷歌验证

## 生成谷歌验证账号

> version=0.0.1\
> bizType=customer.app.GoogleVerifyApiService.generateGoogleAccount\
> 登录之后可以访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"客户接口/客户谷歌验证"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.GoogleVerifyApiService.generateGoogleAccount":{"post":{"summary":"生成谷歌验证账号","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.GoogleVerifyApiService.generateGoogleAccount\n登录之后可以访问","operationId":"checkGoogleCode","tags":["客户接口/客户谷歌验证"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{}}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BaseResultBoolean"}}},"headers":{}}}}}},"components":{"schemas":{"BaseResultBoolean":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"boolean","description":"数据体"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}}}
```

## 检查谷歌验证码状态

> version=0.0.1\
> bizType=customer.app.GoogleVerifyApiService.checkGoogleCode\
> 登录之后可以访问

```json
{"openapi":"3.0.1","info":{"title":"默认模块","version":"1.0.0"},"tags":[{"name":"客户接口/客户谷歌验证"}],"servers":[{"url":"https://prewppc-3.cmfbl.com/api","description":"PRE测试公司439"}],"security":[],"paths":{"/global/customer.app.GoogleVerifyApiService.checkGoogleCode":{"post":{"summary":"检查谷歌验证码状态","deprecated":false,"description":"version=0.0.1\nbizType=customer.app.GoogleVerifyApiService.checkGoogleCode\n登录之后可以访问","operationId":"findGoogleVerifyByCustomerNo","tags":["客户接口/客户谷歌验证"],"parameters":[{"name":"companyId","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"token","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"lang","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"trace","in":"header","description":"","required":false,"schema":{"type":"string"}},{"name":"version","in":"header","description":"","required":false,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"string","description":"谷歌验证码"}},"required":["code"]}}}},"responses":{"200":{"description":"","content":{"application/json":{"schema":{"type":"object","properties":{"bizCode":{"type":"string","description":"模块标识码"},"code":{"type":"string","description":"状态返回码"},"msg":{"type":"string","description":"状态描述"},"tm":{"type":"integer","format":"int64","description":"处理时长（毫秒）"},"trace":{"type":"string","description":"跟踪码"},"msgParams":{"type":"string","description":"返回描述中占位符参数串，多个参数间以,分割"},"data":{"type":"object","properties":{},"description":"返回体。true 通过，false 不通过"},"ok":{"type":"boolean"},"fail":{"type":"boolean"}}}}},"headers":{}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-cn.multimarkets.org/client-api/geng-duo-.../ke-hu-jie-kou-ke-hu-gu-ge-yan-zheng.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
